const path = require('path')
const { resolveAxiosPath, copyFiles } = require('../utils')

/**
 * 从 packages/multi-ajax/build/scripts/axios 复制文件覆盖 node_modules/axios 中文件
 */
function patchAxios() {
  const patchSourceAxiosPath = path.resolve(__dirname, './axios')
  const targetAxiosPath = resolveAxiosPath()

  copyFiles(patchSourceAxiosPath, targetAxiosPath);
}

patchAxios()
